Openwall GNU/*/Linux - a small security-enhanced Linux distro for servers
[<prev] [next>] [day] [month] [year] [list]
Date: Tue, 24 Dec 2019 10:49:49 +0800
From: butt3rflyh4ck <butterflyhuangxx@...il.com>
To: oss-security@...ts.openwall.com
Subject: CVE-2019-19947: Linux kernel can: kvaser_usb:
 kvaser_usb_leaf: some info-leaks vulnerabilities

Hi, there some info-leaks vulnerabilities in Linux kernel USB drivers that
can be triggered by an external malicious USB device.

Description:

In the Linux kernel through 5.4.6, there are some information leaks of
uninitialized memory to a USB device in the
drivers/net/can/usb/kvaser_usb/kvaser_usb_leaf.c driver.

More details in
https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-19947 .

Credit:

This issue was discovered by the ADLab of venustech.

Powered by blists - more mailing lists

Your e-mail address:

Please check out the Open Source Software Security Wiki, which is counterpart to this mailing list.

Confused about mailing lists and their use? Read about mailing lists on Wikipedia and check out these guidelines on proper formatting of your messages.